Track (v1)
Legacy endpoint for event tracking.
This is the legacy v1 endpoint. We recommend using POST /v2/track for new integrations.
The v1 track endpoint requires the API key in the request body as api_key rather than in the Authorization header.
POST
User event tracking
application/json- body
api_key*stringYour unique Accoil API key. Found under Account > General settings.
timestamp*integerUnix timestamp in milliseconds. Example: 1500000000000
Format
int64user_id*stringA unique identifier for the user performing the event.
event*stringThe name of the event being tracked.
- Use a consistent Noun-Verb format for event names (e.g.,
"Report_Created").
Accepted
curl -X POST 'https://in.accoil.com/v1/events' \ -H 'Content-Type: application/json' \ -d '{ "api_key": "f6ed0379283b149a2fd87a069d2b0d623c601272", "timestamp": 1500000000000, "user_id": "user_12345", "event": "Report_Created"}'Example Response
Empty